interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: GET
    uri: http://localhost/api/v4/projects/test%2Fproject_simple_parameters
  response:
    body:
      string: '{"id":8,"description":"","name":"project_simple_parameters","name_with_namespace":"test
        / project_simple_parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","issues":"http://gitlab.example.com/api/v4/projects/8/issues","merge_requests":"http://gitlab.example.com/api/v4/projects/8/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":true,"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"open_issues_count":0,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":null,"shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"merge","permissions":{"project_access":null,"group_access":{"access_level":50,"notification_level":3}}}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1960'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:51 GMT
      Etag:
      - W/"1095c36b9ec55ad1a53477984b6f2b5b"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 6WdWhuM8zQ8
      X-Runtime:
      - '0.171878'
    status:
      code: 200
      message: OK
- request:
    body: '{"ci_config_path": "debian/gitlab-ci.yml"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '42'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"","name":"project_simple_parameters","name_with_namespace":"test
        / project_simple_parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","issues":"http://gitlab.example.com/api/v4/projects/8/issues","merge_requests":"http://gitlab.example.com/api/v4/projects/8/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":true,"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"open_issues_count":0,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"merge"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1882'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:51 GMT
      Etag:
      - W/"fe260d128c4860f7f0f5fddb39100312"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 2H74tT0oFN5
      X-Runtime:
      - '0.168030'
    status:
      code: 200
      message: OK
- request:
    body: '{"container_registry_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '37'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"","name":"project_simple_parameters","name_with_namespace":"test
        / project_simple_parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","issues":"http://gitlab.example.com/api/v4/projects/8/issues","merge_requests":"http://gitlab.example.com/api/v4/projects/8/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"open_issues_count":0,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"merge"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1883'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:52 GMT
      Etag:
      - W/"1a8f777162f41154b3d0c08b8f074899"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - ZfRm0JDKUj1
      X-Runtime:
      - '0.121013'
    status:
      code: 200
      message: OK
- request:
    body: '{"description": "Project with simple parameters"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '49'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project_simple_parameters","name_with_namespace":"test
        / project_simple_parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","issues":"http://gitlab.example.com/api/v4/projects/8/issues","merge_requests":"http://gitlab.example.com/api/v4/projects/8/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"open_issues_count":0,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"merge"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1913'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:52 GMT
      Etag:
      - W/"1231a559bb3982488efce6ac484fddb4"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - PwjN2TyzTG2
      X-Runtime:
      - '0.137240'
    status:
      code: 200
      message: OK
- request:
    body: '{"issues_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '25'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project_simple_parameters","name_with_namespace":"test
        / project_simple_parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","merge_requests":"http://gitlab.example.com/api/v4/projects/8/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"merge"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1830'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:52 GMT
      Etag:
      - W/"e2af2e5434e8e47724f0b97b4c26c0df"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - GctuCj4ckZ1
      X-Runtime:
      - '0.090958'
    status:
      code: 200
      message: OK
- request:
    body: '{"jobs_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '23'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project_simple_parameters","name_with_namespace":"test
        / project_simple_parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","merge_requests":"http://gitlab.example.com/api/v4/projects/8/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"merge"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1831'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:52 GMT
      Etag:
      - W/"16483f0d87aeca9cdc4e60d2a265dba9"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - aAZtflJzBs9
      X-Runtime:
      - '0.083494'
    status:
      code: 200
      message: OK
- request:
    body: '{"lfs_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '22'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project_simple_parameters","name_with_namespace":"test
        / project_simple_parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","merge_requests":"http://gitlab.example.com/api/v4/projects/8/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"merge"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1832'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:52 GMT
      Etag:
      - W/"689df57dee11681aefaeb30fbf7bad3e"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - NGJVtWyOIF6
      X-Runtime:
      - '0.103804'
    status:
      code: 200
      message: OK
- request:
    body: '{"merge_method": "ff"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '22'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project_simple_parameters","name_with_namespace":"test
        / project_simple_parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","merge_requests":"http://gitlab.example.com/api/v4/projects/8/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1829'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:52 GMT
      Etag:
      - W/"b818de1d56c3d4ae61a47fe49de8839f"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 75uQfoBQbm6
      X-Runtime:
      - '0.087724'
    status:
      code: 200
      message: OK
- request:
    body: '{"merge_requests_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '33'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project_simple_parameters","name_with_namespace":"test
        / project_simple_parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1752'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:52 GMT
      Etag:
      - W/"0d03e240619f411f0511e41e3c015f66"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - TLlX3UESYT3
      X-Runtime:
      - '0.090634'
    status:
      code: 200
      message: OK
- request:
    body: '{"name": "project-with-simple-parameters"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '42'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1762'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:52 GMT
      Etag:
      - W/"cfad96e0f76d45002c876fe2584f5e01"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - Aj8CH1uimn4
      X-Runtime:
      - '0.106644'
    status:
      code: 200
      message: OK
- request:
    body: '{"only_allow_merge_if_all_discussions_are_resolved": true}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '58'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":true,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1761'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:52 GMT
      Etag:
      - W/"57465801f333dec376070f7df60f7eb9"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - mNhTG3LIRE5
      X-Runtime:
      - '0.093452'
    status:
      code: 200
      message: OK
- request:
    body: '{"only_allow_merge_if_pipeline_succeeds": true}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '47'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":true,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1760'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:53 GMT
      Etag:
      - W/"e8a350a2ec1c5024e66ea83c02dd50ae"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - AQNue2ooOE6
      X-Runtime:
      - '0.095064'
    status:
      code: 200
      message: OK
- request:
    body: '{"printing_merge_request_link_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '46'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":false,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1761'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:53 GMT
      Etag:
      - W/"48a25cb20cfebedb247d86b14551a2db"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - qL6iybMJPMa
      X-Runtime:
      - '0.092609'
    status:
      code: 200
      message: OK
- request:
    body: '{"request_access_enabled": true}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '32'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":false,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1760'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:53 GMT
      Etag:
      - W/"b5c1d7d89a4dad962103f16d534a0f18"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 9AQwooFM1Ta
      X-Runtime:
      - '0.100494'
    status:
      code: 200
      message: OK
- request:
    body: '{"resolve_outdated_diff_discussions": true}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '43'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":true,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":false,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1759'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:53 GMT
      Etag:
      - W/"57c4c826ed65e7273110f244fa7bd76c"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - SpwwhvSOUg6
      X-Runtime:
      - '0.085571'
    status:
      code: 200
      message: OK
- request:
    body: '{"shared_runners_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '33'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":true,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":true,"shared_runners_enabled":false,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":false,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1760'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:53 GMT
      Etag:
      - W/"36763cac5097592986bb69d0be2736f2"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - Y1mebADKzf7
      X-Runtime:
      - '0.083315'
    status:
      code: 200
      message: OK
- request:
    body: '{"snippets_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '27'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":true,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":false,"shared_runners_enabled":false,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":false,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1761'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:53 GMT
      Etag:
      - W/"ff6987fe52fcd09822b1d981134583f8"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - y8hteiaLfO3
      X-Runtime:
      - '0.088719'
    status:
      code: 200
      message: OK
- request:
    body: '{"tag_list": ["bar", "foo"]}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '28'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":["bar","foo"],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":true,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":false,"shared_runners_enabled":false,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":false,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1772'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:53 GMT
      Etag:
      - W/"b0b5f4dcd5003083a70e6c335fcabb84"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - koq93WRf9J2
      X-Runtime:
      - '0.115132'
    status:
      code: 200
      message: OK
- request:
    body: '{"visibility": "public"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '24'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":["bar","foo"],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"public","resolve_outdated_diff_discussions":true,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":true,"jobs_enabled":false,"snippets_enabled":false,"shared_runners_enabled":false,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":false,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1771'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:53 GMT
      Etag:
      - W/"91d4e48158612dea430e7028a805ef76"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - IpiCxKpRBF1
      X-Runtime:
      - '0.087402'
    status:
      code: 200
      message: OK
- request:
    body: '{"wiki_enabled": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '23'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - DKkdC5JmKWWZgXZGzg83
      User-Agent:
      - python-requests/2.21.0
    method: PUT
    uri: http://localhost/api/v4/projects/8
  response:
    body:
      string: '{"id":8,"description":"Project with simple parameters","name":"project-with-simple-parameters","name_with_namespace":"test
        / project-with-simple-parameters","path":"project_simple_parameters","path_with_namespace":"test/project_simple_parameters","created_at":"2019-04-02T14:10:41.984Z","default_branch":null,"tag_list":["bar","foo"],"ssh_url_to_repo":"git@gitlab.example.com:test/project_simple_parameters.git","http_url_to_repo":"http://gitlab.example.com/test/project_simple_parameters.git","web_url":"http://gitlab.example.com/test/project_simple_parameters","readme_url":null,"avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-02T14:10:41.984Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/8","repo_branches":"http://gitlab.example.com/api/v4/projects/8/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/8/labels","events":"http://gitlab.example.com/api/v4/projects/8/events","members":"http://gitlab.example.com/api/v4/projects/8/members"},"archived":false,"visibility":"public","resolve_outdated_diff_discussions":true,"container_registry_enabled":false,"issues_enabled":false,"merge_requests_enabled":false,"wiki_enabled":false,"jobs_enabled":false,"snippets_enabled":false,"shared_runners_enabled":false,"lfs_enabled":false,"creator_id":1,"import_status":"none","import_error":null,"runners_token":"PMHsUq_Lzm1PApCM7Q4K","public_jobs":true,"ci_config_path":"debian/gitlab-ci.yml","shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":true,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":true,"printing_merge_request_link_enabled":false,"merge_method":"ff"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Length:
      - '1772'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Apr 2019 14:10:53 GMT
      Etag:
      - W/"d907a9de95f1d75fa23a5c274ee59df8"
      Server:
      - nginx
      Strict-Transport-Security:
      - max-age=31536000
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - y1kaniZN8X5
      X-Runtime:
      - '0.098694'
    status:
      code: 200
      message: OK
version: 1
